%define oname   mime-types

Name:       ruby-%{oname}
Version:    2.6.2
Release:    %mkrel 1
Summary:    MIME Content-Type database
Group:      Development/Ruby
License:    GPLv2+ or Ruby License or Artistic
URL:        http://mime-types.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This library allows for the identification of a file's likely MIME content
type.The identification of MIME content type is based on a file's filename
extensions.

MIME::Types for Ruby originally based on and synchronized with MIME::Types for
Perl by Mark Overmeer, copyright 2001 - 2009. As of version 1.15, the data
format for the MIME::Type list has changed and the synchronization will no
longer happen.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
%doc History.rdoc Manifest.txt Licence.rdoc README.rdoc


%changelog
* Thu Jan 07 2016 pterjan <pterjan> 2.6.2-1.mga6
+ Revision: 920180
- Downgrade to to 2.6.2

* Tue Jan 05 2016 pterjan <pterjan> 3.0-1.mga6
+ Revision: 919729
- Update to 3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.mga5
+ Revision: 746478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 688867
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 2.3-1.mga5
+ Revision: 626762
- 2.3

* Sat Dec 28 2013 pterjan <pterjan> 1.25-4.mga4
+ Revision: 562010
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.25-3.mga4
+ Revision: 561397
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.25-2.mga4
+ Revision: 538272
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1.25-1.mga4
+ Revision: 489137
- new version 1.25

* Fri Sep 20 2013 pterjan <pterjan> 1.19-5.mga4
+ Revision: 482200
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.19-4.mga4
+ Revision: 480027
- Fix file list
- Use gem_setup
- Patch to remove missing files from gemspec

* Fri Feb 08 2013 umeabot <umeabot> 1.19-3.mga3
+ Revision: 396155
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.19-2.mga3
+ Revision: 381119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.19-1.mga3
+ Revision: 312624
- new version 1.19

* Fri Jun 08 2012 shlomif <shlomif> 1.18-1.mga3
+ Revision: 257532
- Made the description more meaningful

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Drop patch

* Mon Feb 07 2011 shikamaru <shikamaru> 1.16-5.mga1
+ Revision: 48552
- imported package ruby-mime-types


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.16-5mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Wed Dec 15 2010 Rémy Clouard <shikamaru@mandriva.org> 1.16-4mdv2011.0
+ Revision: 622186
- rebuild for new rpm-mandriva-setup

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.16-3mdv2011.0
+ Revision: 614773
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.16-2mdv2010.1
+ Revision: 500515
- don't ship gem with package
- fix dependencies

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.16-1mdv2010.1
+ Revision: 500416
- fix license
- import rubygem-mime-types


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.16-1
- initial release
